/**
 * IconBar.c - Create an icon on the icon bar
 */

/* Include 4 standard C header files */
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <ctype.h>

/* Include the RISC OS kernel header file */
#include "kernel.h"

/* Include the ROVLib header files */
#include "main.h"
#include "canvas.h"
#include "baricon.h"
#include "extras.h"

/* Prototype the click function */
void click(int icn);

int main(int argc, char **argv) {
  /* Initialise the ROVLib system */
  main_init("Icon bar test");

  /* Initialise the ROVLib canvas core */
  canvas_init();

  /* Create an icon on the icon bar */
  baricon("file_ff8", click);

  /* Poll forever (or at least until told to quit!) */
  main_poll();
}

/* Actually perform the click function */
void click(int icn) {
  swerr(TRUE, "Boo! And now I'll leave you.");
}
